Loading...
Searching...
No Matches
copy_driver.h File Reference
`#include <common/config.h>`
`#include <common/list.h>`

Go to the source code of this file.

## Data Structures

struct | _starpu_disk_backend_event
struct | _starpu_disk_event
union | _starpu_async_channel_event
struct | _starpu_async_channel

## Enumerations

enum | _starpu_may_alloc { _STARPU_DATAWIZARD_DO_NOT_ALLOC , _STARPU_DATAWIZARD_DO_ALLOC , _STARPU_DATAWIZARD_ONLY_FAST_ALLOC }

## Functions

void | _starpu_wake_all_blocked_workers_on_node (unsigned nodeid)
int | _starpu_driver_copy_data_1_to_1 (starpu_data_handle_t handle, struct _starpu_data_replicate *src_replicate, struct _starpu_data_replicate *dst_replicate, unsigned donotread, struct _starpu_data_request *req, enum _starpu_may_alloc may_alloc, enum starpu_is_prefetch prefetch)
int | _starpu_copy_interface_any_to_any (starpu_data_handle_t handle, void *src_interface, unsigned src_node, void *dst_interface, unsigned dst_node, struct _starpu_data_request *req)
unsigned | _starpu_driver_test_request_completion (struct _starpu_async_channel *async_channel)
void | _starpu_driver_wait_request_completion (struct _starpu_async_channel *async_channel)

## Data Structure Documentation

## _starpu_disk_backend_event

struct _starpu_disk_backend_event

Data Fields
void * | backend_event |

## _starpu_disk_event

struct _starpu_disk_event

Data Fields
unsigned | memory_node |
unsigned | node |
struct _starpu_disk_backend_event_list * | requests |
void * | ptr |
size_t | size |
starpu_data_handle_t | handle |

## _starpu_async_channel_event

union _starpu_async_channel_event

this is a structure that can be queried to see whether an asynchronous transfer has terminated or not

Data Fields
char | data[40] |

## _starpu_async_channel

struct _starpu_async_channel

Data Fields
union _starpu_async_channel_event | event |
const struct _starpu_node_ops * | node_ops |
struct _starpu_mp_node * | polling_node_sender | Which node to polling when needing ACK msg
struct _starpu_mp_node * | polling_node_receiver |
volatile int | starpu_mp_common_finished_sender | Used to know if the acknowlegdment msg is arrived from sinks
volatile int | starpu_mp_common_finished_receiver |